import java.net.ServerSocket;
import java.io.IOException;

/**
 * Ein Server fr "Ksekstchen" mit mehreren Clients.
 * 
 * @author Bernd Gramlich 
 * @version 2015-07-08
 */
public class Spielserver
{
    private ServerSocket serverSocket;

    /**
     * Konstruktor.
     * ffne einen ServerSocket auf der angegebenen Portnummer und
     * starte dort einen Serverprozess.
     */
    public Spielserver (int portNr)
    {
        try
        {
            serverSocket  = new ServerSocket (portNr);

            (new Thread (new ServerProzess (serverSocket))).start ();
        }
        catch (IOException e)
        {
            System.err.println ("Empfang auf " + portNr + " gescheitert.");
        }
    }
}